wibble::tests::TestFileExists Struct Reference

`#include <tests.h>`

## Public Member Functions

| TestFileExists (const std::string &pathname, bool inverted=false)
TestFileExists | operator! ()
void | check (WIBBLE_TEST_LOCPRM) const

## Public Attributes

std::string | pathname
bool | inverted

## Constructor & Destructor Documentation

wibble::tests::TestFileExists::TestFileExists | ( | const std::string & | pathname,
|  | bool | inverted = `false`
| ) |  |

inline

Referenced by operator!().

## Member Function Documentation

void wibble::tests::TestFileExists::check | ( | WIBBLE_TEST_LOCPRM |  | ) | const

References wibble::sys::fs::exists(), wibble::tests::Location::fail_test(), inverted, and pathname.

TestFileExists wibble::tests::TestFileExists::operator! | ( |  | ) |

inline

References TestFileExists().

## Member Data Documentation

bool wibble::tests::TestFileExists::inverted

Referenced by check().

std::string wibble::tests::TestFileExists::pathname

Referenced by check().

The documentation for this struct was generated from the following files:

- tests.h
- tests.cpp